2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Optimized
	  document loading.

2010-07-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/AutoSave.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Auto save
	  thread is now shared.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Moved the
	  SetCaretTo to the mono.texteditor.

2010-07-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Track API
	  changes.

2010-07-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Track API
	  changes.

2010-07-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: added null
	  check.-

2010-07-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed 'Bug
	  622214 - NullReferenceException when closing file tab'.

2010-07-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Unsubscribe
	  the recently added file change events, check if the widget's
	  disposed to avoid NRE, and avoid an unnecessary closure
	  creation.

2010-07-13  Levi Bard <levi@unity3d.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	  Also respond to FileService events.

2010-07-13  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/NavigationBar.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/ISourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs:
	* MonoDevelop.SourceEditor/NavigationBarCommands.cs:
	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs:
	* MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Removed old unused quick finder code/moved dropdownbox to
	  components.

2010-07-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Replaced
	  custom workerthread with
	  system.compontentmodel.backgroundworker.

2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Track
	  ProjectDomService/Parser API.

2010-07-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Handled some
	  potential threading issues.-

2010-07-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Track API
	  changes.

2010-07-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Simplified
	  call.

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: added null
	  check.

2010-07-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Disabled the
	  navigation bar subsystem - it got replaced by the pathed
	  document subsystem.

2010-06-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: Fixed
	  'Bug 616949 - Message bubbles prevents the background color
	  of selected text to change'.

2010-06-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: Fixed
	  'Bug 616001 - Inline errors don't completely vanish after
	  build'.

2010-06-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  613825 - Auto-complete on highlighted text overwrites
	  following characters'.

2010-06-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed
	  breakpoint text markers.

2010-06-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed 'Bug
	  613114 - NRE in editor means error marker never goes away'.

2010-06-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: Use a
	  system font for bubbles.

2010-06-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  611202 - Move line up/down command fails in aspx files'.


2010-06-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: check if
	  search&replace widget is open.

2010-06-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed 'Bug
	  610204 - Find-as-you-type-bar with Chrome style broke a good
	  use case of the find-bar with Firefox style'.

2010-05-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: Fixed
	  'Bug 610099 - Typing in lines with bubbles very slow'.


2010-05-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	  Generalized method.

2010-05-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	  Generalized method.

2010-05-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: Worked
	  on message bubbles.

2010-05-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: Removed
	  the message bubble focus inactive toggle (it's still
	  inactive, if the line has changed).

2010-05-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: Removed
	  debug message.

2010-05-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Removed
	  message box which informs of undo past save point.

2010-05-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: fixed
	  little selection drawing issue.

2010-05-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleHighlightPopupWindow.cs:
	  Fix text alignment.

2010-05-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleHighlightPopupWindow.cs:
	  Track API.

2010-05-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleHighlightPopupWindow.cs:
	  Use new BounceFadePopupWindow class.

2010-05-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: Fixed
	  some drawing issues.

2010-05-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs:
	* MonoDevelop.SourceEditor/MessageBubbleHighlightPopupWindow.cs:
	  Worked on message bubble popups

2010-05-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs:
	  Corrected some minor drawing issues.

2010-05-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: Clip
	  selection region.

2010-05-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs:
	* MonoDevelop.SourceEditor/MessageBubbleHighlightPopupWindow.cs:
	  The message bubbles can now draw selected regions.

2010-05-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Removed debug
	  code.

2010-05-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: Ensures
	  that the layout is created.

2010-05-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: Fixed
	  some issues with message bubbles.

2010-05-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs:
	* MonoDevelop.SourceEditor/MessageBubbleHighlightPopupWindow.cs:
	  Worked on text editor styling.

2010-05-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Used smartscrolledwindow.

2010-05-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Used the
	  standard scrolled window again.

2010-05-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Added
	  border around the text editor & fixed some splitting issues.

2010-05-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Used compact
	  scrolled window.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs: Clea
	  up path API.

	* MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs:
	  Clean up dialog placement.

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Flush.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Disable the
	  search result animation as it looks rather ugly right now.

	* MonoDevelop.SourceEditor/MessageBubbleHighlightPopupWindow.cs:
	  Tweak.

2010-05-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Unsubscribe
	  options change event.

	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs:
	  Subscribe the options changed event only once.

2010-05-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleHighlightPopupWindow.cs:
	  Speed up animation & made it a bit smaller.

2010-05-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs:
	* MonoDevelop.SourceEditor/MessageBubbleHighlightPopupWindow.cs:
	  Tweaked error bubble popup drawing a bit.

2010-05-21  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs:
	* MonoDevelop.SourceEditor/MessageBubbleHighlightPopupWindow.cs:
	  Added message bubble popup animation/fixed bug in message
	  bubble calculation.

2010-05-21  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/MessageBubbleTextMarker.cs: Worked
	  on message bubbles.

2010-05-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs: Fixed 'Bug
	  607311 - MouseOver cause MD to crash'.

2010-05-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  533918 - Scroll position "jumps" first time editor tab is
	  shown'.

2010-05-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Fix keybindings.

2010-05-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Escape in a
	  'do you want to continue' dialog should cancel.

2010-05-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs: Provide
	  tooltips for message bubbles.

2010-05-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Improved the
	  error bubble drawing.

2010-05-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Expanded
	  message bubbles now overdraw lines instead of inserting
	  virtual space.

2010-05-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Implemented
	  'Bug 606978 - Warning message when undoing past save point'.

2010-05-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Track code
	  template API.

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Track code
	  template API and toolbox API.

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: Improved
	  multi monitor support.

2010-05-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Use
	  ViActions.Join as EditorCommands.JoinWithNextLine, since
	  it's more efficient and supports joining multiple lines.

2010-05-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Removed debug
	  message.

2010-05-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Display
	  resolve errors in the tooltip.

2010-05-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs: Fixed selection
	  drawing error.

2010-05-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Optimized
	  speed of message bubbles.

2010-05-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Fixed
	  'Bug 605000 - Search history does not include recent
	  searches in current editor'.

2010-05-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorPrintOperation.cs: Use
	  PangoUtil to create the PangoLayout to avoid a leak.

2010-05-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/StatusBox.cs: Nullify editor
	  reference to help tracking leaks.

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs:
	  Removed debug message/handled null case.

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs:
	* MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs:
	* MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs:
	  Track API changes.

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: implemented
	  'Bug 603984 - Control-f with selection while search open
	  should use selection'.

2010-05-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Check for
	  empty and null.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Make use
	  of the new Document.Dom property.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fix auto
	  insert bracket issue.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed
	  possible null ref.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Auto expand
	  multiple error bubbles when the caret is in a line that
	  contains a multi error bubble.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed 'Bug
	  603113 - Automatic window scrolling hides completion
	  window'.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed
	  breakpoint update.

2010-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Added bounds
	  check.

2010-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed update
	  breakpoint slowness problem.

2010-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Removed some duplicate
	  entries/put toggle code focus command into the text editor
	  context menu.

2010-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs: free
	  delegate reference.

2010-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Track
	  API changes.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Ensure that
	  created font description is destroyed.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Moved the
	  command handlers to the view.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/GotoLineNumberWidget.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Fixed
	  IntPtr exception.

2010-04-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Always fire
	  the CaretPositionSet event when the caret position changes.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Widgets from
	  views are now destroyed by the workspace window.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  600671 - Text painting gets into a weird state'.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: added the toggle message
	  bubble command to the main menu message bubble submenu.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.addin.xml:
	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SourceEditorCommands.cs: Fixed 'Bug
	  600622 – Can't set a breakpoint on line with inline
	  error/warning'.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed 'Bug
	  600609 - Parameter tooltips should hide when scrolling
	  editor'.

2010-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/DebugValueWindow.cs: Accept getting
	  the focus only when the mouse is moved inside the window.

2010-04-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs:
	  Added some null checks.

2010-04-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/GotoLineNumberWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Added
	  some HACK comments.

2010-04-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/GotoLineNumberWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Worked
	  on mac bugfix.

2010-04-22  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.SourceEditor/GotoLineNumberWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.GotoLineNumberWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	  Take back last commit. 

2010-04-22  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.SourceEditor/GotoLineNumberWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.GotoLineNumberWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	  Found other solution to mac drawing problem.

2010-04-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs:
	  Fixed 'Bug 598203 - Tooltip shows too fast, follows mouse,
	  and flickers'.

2010-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Removed
	  intptr constructor.

2010-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed find
	  issue.

2010-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: provided int
	  ptr constructor.

2010-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/GotoLineNumberWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Worked
	  on mac disappearing buttons work around.

2010-04-20  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.SourceEditor.GotoLineNumberWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	  Fixed 'Bug 597672 - Search bar icons vanish when moving
	  across them mouse right to left'.

2010-04-19  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor.addin.xml:
	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/MessageBubbleCommands.cs: Worked on
	  message bubbles/Added some bubble commands to the view menu.

2010-04-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Unregister
	  pinned watch control when the watch is removed.

	* MonoDevelop.SourceEditor/PinnedWatchWidget.cs: Embed an
	  ObjectValueTreeView instance instead of a custom value
	  viewer.

2010-04-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: fixed warning.

2010-04-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Optimized
	  error bubbles.

2010-04-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: checked
	  document == null.

2010-04-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Levi Bard
	  <levi@unity3d.com> Cache selection mode.

2010-04-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  596511 - Code completion removes block selection and only
	  affects 1 line'

2010-04-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: ContentName
	  can be null if the file is not saved.

2010-04-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Added some
	  checks to avoid updating breakpoints when the editor has
	  been disposed.

2010-04-13  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs:
	  Implemented 'Bug 595598 - Intelligent placing of
	  semi-colons'.

2010-04-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Implemented
	  'Bug 595587 - Move code block to correct depth when
	  Alt+arrow moving'.

2010-04-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  595584 - Code completion leaves the cursor in the wrong
	  place'.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed 'Bug
	  595601 - Make "add matching quote" aware of whether or not
	  it is within a string already'.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Text
	  editor extension is disposed in Document.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Dispose
	  text editor extensions.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Implemented
	  command for 'Bug 595228 - Block selection should be usable
	  from keyboard'

2010-04-09  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/DebugValueMarker.cs: Removed
	  debugvaluemarker (it's now done by pinnedquickwatch).

2010-04-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/DebugValueWindow.cs: Removed
	  unnecessary unselection code.

2010-04-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/DebugValueWindow.cs: Converted to a
	  TopLevel window, so that it can get proper focus and the
	  value entry works as expected.

2010-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  594370 - NRE in source editor crashed MD'.

2010-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	  Implemented use selection for find/replace commands.

2010-04-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed auto
	  save creation.

2010-03-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fix bug 569417
	  - Exception in SourceEditorView.CheckFrameIsInFile.

2010-03-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/PinnedWatchWidget.cs: Improve
	  visual style.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.SourceEditor.addin.xml: Bumped MD version.

2010-03-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/StatusBox.cs:
	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Optimized
	  text editor caret movement/selection speed.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor.addin.xml:
	* MonoDevelop.SourceEditor/StatusBox.cs:
	* MonoDevelop.SourceEditor/IdeViMode.cs:
	* MonoDevelop.SourceEditor/NavigationBar.cs:
	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/DebugValueMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/DebugValueWindow.cs:
	* MonoDevelop.SourceEditor/DefaultFormatter.cs:
	* MonoDevelop.SourceEditor/PinnedWatchWidget.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/DynamicAbbrevHandler.cs:
	* MonoDevelop.SourceEditor/ISourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	* MonoDevelop.SourceEditor/NavigationBarCommands.cs:
	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	* MonoDevelop.SourceEditor/MarkerOperationsHandler.cs:
	* MonoDevelop.SourceEditor.OptionPanels/MarkerPanel.cs:
	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs:
	* MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs:
	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	* MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs:
	* MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-03-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Don't modify
	  the style's default font, because that affects other parts
	  of the MD GUI. Make a copy instead, and track style updates.

2010-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: Fixed
	  'Bug 586479 - GTK and GLib criticals from
	  DropDownBox.PositionListWindow'.

2010-03-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: fixed
	  scrolling bar bug.

2010-03-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Added repaint
	  after task update.

2010-03-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Optimized
	  error bubble speed.

2010-03-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/NavigationBarCommands.cs: When the
	  caret panel is shown the toggle command is renamed to 'hide
	  caret panel'.

2010-03-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/StatusBox.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Optimized
	  caret state box.

2010-03-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.OptionPanels/MarkerPanel.cs: Fixed
	  the show column ruler option.

2010-03-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed 'Bug
	  585770 - Matching brace should not be inserted in comments'.

2010-03-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Don't add
	  tasks to invalid lines. May happen when the file is reloaded
	  and changed from outside or when the task is invalid.

2010-03-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Fixed 'Bug
	  585305 - NRE in text editor when hiding annotations'.

2010-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: Fixed
	  'Bug 584883 - Layout issue in quick finder dropdowns'.

2010-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/NavigationBar.cs: Navigation bar
	  now controls the visibility of the containing panels.

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: 

2010-03-03  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor.addin.xml:
	* MonoDevelop.SourceEditor/StatusBox.cs:
	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/NavigationBar.cs:
	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/NavigationBarCommands.cs: Worked on
	  navigation panel (it's now possible to show the caret
	  position there).

2010-03-03  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/StatusBox.cs:
	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/TinyDropDownBox.cs:
	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/LanguageItemWindow.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	* MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs:
	* MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs:
	  Refactored text editor resolve providers. Language bindings
	  now can provide own providers.

2010-03-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fix build

2010-03-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Moved find
	  expression code into the language binding.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: up/down
	  only reacts when search entry has the focus.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	  Implemented 'Bug 584244 - key binding (up/down arrow) to
	  cycle through recent searches'.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Fixed
	  'Bug 584235 - New search widget causes text to be
	  overrwritten when it shouldn't'.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Handled
	  unresolved member resolve result.

2010-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Fixed
	  'Bug 583495 - Clicking on search result briefly selects
	  result'.

2010-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  583461 - Fold preview scrolling is strange'.

2010-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/PinnedWatchWidget.cs: setting
	  minimum height to 18.

2010-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/PinnedWatchWidget.cs: Fixed 'Bug
	  583026 - Font and aligning issues with the
	  PinnedWatchWidget'/Applied patch from Alexander Cherniuk
	  <ts33kr@gmail.com>

2010-02-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: added
	  selection check.

2010-02-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Fixed
	  'Bug 582050 - Cannot see selection while search box is
	  visible, even if editor has focus'

2010-02-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: BOM is now
	  remembered.

2010-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Add
	  command handlers for RecenterEditor and TransposeCharacters.

2010-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/IdeViMode.cs: Missed file in
	  previous commit.

2010-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Track API
	  changes.

2010-02-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Improved
	  keyboard navigation in search & replace widget.

2010-02-22  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	  Fixed 'Bug 581629 - Search and replace should not trim the
	  search/replace term'.

2010-02-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Worked
	  on search & replace.

2010-02-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Worked
	  on search & replace.

2010-02-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	  Fixed search update bug.

2010-02-16  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/GotoLineNumberWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.GotoLineNumberWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	  Worked on the search box/goto line number box.

2010-02-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Fixed
	  search & replace widget flickering problem.

2010-02-15  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/searchoptions.png:
	* MonoDevelop.SourceEditor/searchoptions.svg:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Added
	  search options icon.

2010-02-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/PinnedWatchWidget.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Worked
	  on search & replace widget.

2010-02-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: Remove
	  dead code.

2010-02-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: fixed
	  flickering in inform label update.

2010-02-12  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/GotoLineNumberWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	  Overworked the search & replace widget.

2010-02-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	  re-implemented intptr constructor.

2010-02-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed 'Bug
	  577848 - MissingIntPtrCtorException appears randomly'.

2010-02-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Added scroll
	  to caret call for all folding commands to fix "Bug 577933 -
	  Text editor cannot be scrolled and no text is in view".

2010-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Track print
	  API.

2010-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/PrintSettingsWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.PrintSettingsWidget.cs:
	  Stub out a widget for editing custom print settings.

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorPrintOperation.cs:
	  Unify and expand the custom print settings in a settings
	  class. Fix warnings.

	* MonoDevelop.SourceEditor/TinyDropDownBox.cs: Fix warning.

2010-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorPrintOperation.cs: Use
	  mm units instead of px.

2010-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorPrintOperation.cs:
	  Replace the Gnome printing code with a new GTK 2.10
	  implementation.

2010-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Added method
	  to check whether text editor has input focus.

2010-02-04  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/DebugValueMarker.cs:
	* MonoDevelop.SourceEditor/PinnedWatchWidget.cs: Added first
	  version of widget based pinned watches.

2010-02-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/DebugValueWindow.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/DebugValueMarker.cs:
	* MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs: Use
	  the new pinned watch infrastructure.

2010-01-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DebugValueWindow.cs:
	* MonoDevelop.SourceEditor/DebugValueMarker.cs:
	* MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs:
	  Display mouse over widget for pin watches.

2010-01-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed 'Bug
	  574362 - Matching brace shouldn't be added inside comments'.

2010-01-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DebugValueWindow.cs: fixed 'Bug
	  574994 - Pinned quick watch issues'.

2010-01-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DebugValueMarker.cs: handles h
	  scrolling & clipping.

2010-01-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: Don't
	  show the window in the ctor. This means the creator can move
	  it before showing it, and we don't get a flicker. Also means
	  we have to grab/ungrab in map/unmap.

2010-01-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DebugValueMarker.cs: hide close
	  pins, when mouse is not in the right line.

2010-01-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DebugValueWindow.cs:
	* MonoDevelop.SourceEditor/DebugValueMarker.cs: Worked on
	  pinnable watches.

2010-01-26  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/DebugValueWindow.cs:
	* MonoDevelop.SourceEditor/DebugValueMarker.cs:
	* MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs:
	* MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs:
	* MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs:
	  Implemented 'quick watches'.

2010-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs:
	  Track DisplayBinding API.

2010-01-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Track
	  HelpService API.

2010-01-21  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* gtk-gui/MonoDevelop.SourceEditor.GotoLineNumberWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.MarkerPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Added support for custom key actions in completion list.

2010-01-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: fixed 'Bug
	  366110 - Accessibility issue regarding tooltips font'.

2010-01-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Implemented
	  'Bug 433318 - Allow scrolling the text boxes that appear
	  when hovering over a folded region'.

2010-01-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/DefaultFormatter.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Track api
	  changes.

2010-01-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/TinyDropDownBox.cs:
	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs:
	  implemented 'Bug 571252 - Quick finder dropdowns should take
	  mouse grab'.

2010-01-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs:
	  fixed bug with on the fly formatting check button.

2010-01-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs: icon is no
	  longer drawn over the left margins.

2010-01-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs: fixed bug in
	  error text marker collapsing sign.

2010-01-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs: fixed 'Bug
	  569665 - Moving entire lines of code with Alt + Up/Down
	  causes the editor to behave erratically.'.

2010-01-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: Track
	  selection during mouse scroll events. Fix page size.

2010-01-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: Use the eol
	  marker from the policy.

2010-01-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs: Worked on
	  collapsible error bubbles.

2010-01-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: added case
	  check.

2010-01-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed auto
	  set pattern casing for selection.

2010-01-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs: fixed 'Bug
	  568979 - Hruler paints over error text'.

2010-01-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs: Fixed 'Bug
	  568966 - Error bubbles wrapped lines have wrong bg in ruler
	  area'.

2010-01-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs: fixed selection
	  drawing bug.

2010-01-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Added support
	  for multiple errors/warnings in one line.

2010-01-05  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	* MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs:
	  fixed "Bug 561572 - Search keeps defaulting to case
	  sensitive" & "Bug 564384 - Can't turn off case sensitivity".

2010-01-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: fixed Bug 
	  564855 - Pressing Enter at the end of a line with a breakpoint 
	  on it causes the line to be drawn as a not "breakpointed" line.

2010-01-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed 'Bug
	  567335 - Split Horizontal View Jumps Both Panes to the Start
	  of the File instead of displaying the same place'.

2010-01-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/TinyDropDownBox.cs: Constrain the
	  text layout so it doesn't ever render under the dropdown
	  arrows.

2010-01-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: fixed/added
	  debug messages for 'Bug 566249 - InvalidCastException when
	  deleting some text in the text editor'.

2010-01-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed 'Bug
	  560510 - Preprocessor enabled code shows as comment anyway'.

2010-01-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/TinyDropDownBox.cs: Render as the
	  inside of a button, so it matches button styling. Use
	  depressed state when popup active.

2009-12-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: Use proper
	  enums for values instead of letting them get cached as
	  strings and having to reparse them every time.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Use some of the new
	  icons.

2009-12-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Re-enable
	  syntax error underlining. No idea why Mike disabled it, but
	  it's far more useful than error bubbles.

2009-12-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Check that
	  file exists before getting its old attributes.

2009-12-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/TinyDropDownBox.cs: Escape now
	  closes drop down.

2009-12-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/TinyDropDownBox.cs: Improved the
	  drawing of the tiny drop down box.

2009-12-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/TinyDropDownBox.cs: Keyboard now
	  works in tiny drop down.

2009-12-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/TinyDropDownBox.cs: Added spacing
	  for the right arrows.

2009-12-03  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/objects.xml:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/TinyDropDownBox.cs:
	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Added tiny
	  drop down box.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/AutoSave.cs: Name threads to make
	  debugging easier.

2009-12-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed 'Bug
	  559822 - comments are folded with incorrect match'.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs:
	* MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs:
	  Track API.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: Only update
	  individual properties on property service events, instead of
	  wholesale refreshing them all on any (unrelated) property
	  service event. Prevents firing lots of change events that
	  could cause lots of unnecessary work and slowdowns
	  elsewhere.

2009-11-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Fixed
	  search & replace speed issue.

2009-11-26  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	  Worked on search & replace popup.

2009-11-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Cleanly take
	  out event handler.

2009-11-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs: only set the
	  color styles, when an editor color style is available.

2009-11-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Try to display
	  the current non-external frame only if the current frame
	  isn't in the current file. This means we also show a
	  stack/execution marker in external code files, if they're
	  somehow opened.

2009-11-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Use FilePath
	  when comparing files, since it is case insensitive in
	  windows.

2009-11-25  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* gtk-gui/MonoDevelop.SourceEditor.GotoLineNumberWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.MarkerPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Worked on message bubbles.

2009-11-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: When debugging 
	  stops, clear the stack marker as well as the execution marker.

2009-11-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Use the new
	  tracepoint markers.

2009-11-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Disabled error
	  bubbles by request from lluis.

2009-11-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: Used the
	  correct screen for the screen height. 

2009-11-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: Increased
	  the number of maximum items in the quick class browser
	  dropdown.

2009-11-24  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/ErrorTextMarker.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Worked on
	  error markers

2009-11-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Implement
	  markers for current stack frame.

2009-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Use correct cairo lib.

2009-11-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.addin.xml:
	* MonoDevelop.SourceEditor/SourceEditorCommands.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	  Implemented 'Code focus toggle and follow-cursor'.

2009-11-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: Source
	  editor options are now public.

2009-11-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Move common
	  infobar code to new widget in MonoDevelop.Components.
	  Attempt to make messages clearer and more usable.

2009-11-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/AutoSave.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  552173 - Good file for testing texteditor performance'.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.SourceEditor.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Flush.

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj: Reference mono-cairo
	  package.

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Add null
	  check.

2009-10-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  550882 - ArgumentNull Exception when removing a breakpoint'.

2009-10-22  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Fixed the dialog.

2009-10-22  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Added option to turn off parameter insight.

2009-10-21  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.SourceEditor.GotoLineNumberWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.MarkerPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Added missing check button.

2009-10-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor.OptionPanels/MarkerPanel.cs:
	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs: Added
	  enable animations option.

2009-10-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Fix Mac keybinding.

2009-10-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor.addin.xml:
	* MonoDevelop.SourceEditor/SourceEditorCommands.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Add a
	  command to pulse the caret.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Added caret
	  pulse.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed bug
	  with constructor initializers.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Added caret
	  line highlighting.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Search
	  pattern is now set when search widget is first opened/added
	  animated search results.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed
	  method overloading when no space is used before '('.

2009-10-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed C/Vala
	  bindings.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Fixed xml
	  documentation summary markup.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Merged code template
	  windows.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.SourceEditor.csproj: Use \ instead of '/'
	in the Import.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.SourceEditor.csproj: Add md.targets .

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/AutoSave.cs: fixed 'Bug 541726 -
	  using nant beside monodevelop gives errors because of backup
	  files'.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.SourceEditor.addin.xml: Bump MD version.

2009-10-05  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	  Enable vi word breaking.

2009-10-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed caret
	  mode update at the end of the document.

2009-10-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Clear caret
	  state when closing a source editor/update caret state when
	  activating a source editor.

2009-10-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed class
	  quick finder flicker on file open.

2009-10-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed 'Bug
	  543195 New: GTK-Critical errors in split/unsplit text
	  editor'.

2009-10-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs:
	  Fixed 'Bug 543200 - Files with hscrollbar open scrolled one
	  character to the right'/optimized file opening.

2009-09-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Corrected
	  quick class browser column.

2009-09-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: Drop down
	  box now handles the screen borders.

2009-09-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Delete command
	  now doesn't delete the whole line when nothing is selected.

2009-09-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs: Optimized &
	  improved the behavior of the class quick finder.

2009-09-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  533918 - Scroll position "jumps" first time editor tab is
	  shown'.

2009-09-24  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj: Fix build.

2009-09-24  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj: Removed nrefactory
	  reference.

2009-09-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed menu
	  positioning.

2009-09-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Semantic
	  highlighting requires to purge the layout cache, when the
	  parser updates to reflect semantic changes.

2009-09-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  537761 - Keystrokes not working on texteditor like "CTRL +
	  X|Y to trigger Foo action...'.

2009-09-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Check that
	  help is supported before trying to show it.

2009-09-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  540487 - Event handler anon delegate completion puts caret
	  in wrong place'.

2009-09-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Removed code
	  duplication/fixed folding commands.

2009-09-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Renamed
	  IDomVisitable -> INode

2009-09-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs: fixed inner
	  type sorting.

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs: quick class
	  browser now shows full inner type name.

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Only set the
	  search engine, when the option is changed.

2009-09-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Added some
	  error handling code.

2009-09-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Corrected
	  caret position after format.

2009-09-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Worked on
	  formatting.

2009-09-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Worked on
	  on the fly format for code template insertion.

2009-09-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Track API
	  changes.

2009-09-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed code
	  completion + auto insert braces bug.

2009-09-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Worked on
	  template formatting.

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs:
	  Fixed syntax style verification.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs:
	  Set the dialog transient to our widgets toplevel.

2009-09-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed 'Bug
	  537375 - Completed text not immediately updated'.

2009-09-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed build.

2009-09-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fold actions
	  now re calculate the vertical scrollbar.

2009-08-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Insert the text editor
	  extension node in the default display binding group.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed "Bug
	  534735 - Write-permission cleared on save".

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/IdeViMode.cs:
	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/LanguageItemWindow.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed
	  compiler warnings.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.csproj: Updated dependencies. We
	  now depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs: Track
	  API changes.

2009-08-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Auto save is
	  only created after atomic undos.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs:
	  Fixed Bug 529544 - Source editor should validate styles when
	  adding them & Bug 531014 - Syntax Highlighting: Style sheet
	  file has to be called [something]Style.xml.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Implement
	  ISupportsProjectReload.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/AutoSave.cs:
	* MonoDevelop.SourceEditor/Counters.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Add some
	  counters.

2009-08-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: drop down
	  box (in quick navigation) now recognizes leave event and
	  deselects the selected item.

2009-08-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DynamicAbbrevHandler.cs: Added
	  abbrev word to the foundWords list.

2009-08-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DynamicAbbrevHandler.cs: fixed bug
	  in getwordbeforecaret

2009-08-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DynamicAbbrevHandler.cs: Replaced
	  the GetWordBeforeCaret with an own implementation.

2009-08-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DynamicAbbrevHandler.cs: fixed typo
	  in dynamic abbrev that caused a bug.

2009-08-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Changed dynamic abbrev
	  key to alt+/ 

2009-08-07  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor.addin.xml:
	* MonoDevelop.SourceEditor/DynamicAbbrevHandler.cs:
	* MonoDevelop.SourceEditor/SourceEditorCommands.cs: Added
	  dynamic abbrev command (default: alt+space).

2009-08-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed "Bug
	  529009 - When open documents are restored, scroll
	  positioning is bad".

2009-08-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj: Use Mono.Cairo 2.0.

2009-08-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: bracket
	  auto insertion no longer closes parameter help window.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Flush.

2009-07-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed Bug
	  526721 - When splitting window vertically, the slider under
	  left split is not shown unitl window is resized.

2009-07-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Worked on
	  xml documentation.

2009-07-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Using custom
	  documentation, if any.

2009-07-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed "Bug
	  525256 - Mouse Cursor jumps to random position after resolve
	  type name.".

2009-07-28  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj: Fixing build.

2009-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Implemented
	  "Bug 523920 - Comment command not using tags defined in
	  syntax mode".

2009-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed "Bug
	  523853 - Delegate not recognised by refactoring tools
	  (doesn't offer Go To Declaration)".

2009-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed "Bug
	  518391 - Exception when save a file into vfat partition".

2009-07-21  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.SourceEditor/IdeViMode.cs: 
	  Add goto definition, goto next/previous error.

2009-07-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: On first
	  load parse info is updated before showing the document (to
	  prevent folding update flicker).

2009-07-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Auto
	  insert bracket feature no longer closes code completion
	  window too early (which caused that the code completion
	  window didn't complete).

2009-07-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SyntaxModeService.cs: Removed debug
	  messages.

2009-07-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed some
	  automatic bracket issues.

2009-07-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Made the
	  automatic bracket insertion behavior more nicely (thanks go
	  to marlun for suggesting this) .

2009-07-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Improved
	  automatic " insertion behaivour.

2009-07-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: 

2009-06-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs: Track
	  api changes.

2009-06-25  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.SourceEditor/IdeViMode.cs: 
	  Save files via the Gui.Document.

2009-06-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed "Bug
	  515825 - Toggle fold does not work if cursor sent to the end
	  of folded line".

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/DefaultFormatter.cs:
	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs: Use
	  the new DesktopService instead of PlatformService.

2009-06-22  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	  Reduce unnecessary whitespace.

2009-06-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs: The
	  editor should only open files which are known to be text.
	  Fixes bug #514761.

2009-06-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/EditActions.cs: Fixed "Bug 514284 -
	  Tab key doesn't work for plain text files (with tab as
	  reindent option set)".

2009-06-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor\SourceEditorView.cs: Fix nullref.

2009-06-18  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs:
	  Worked on on the fly formatting. DO NOT USE THIS OPTION (it
	  may break code. But for testing it may be ok)

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/DefaultFormatter.cs:
	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs:
	  Implement support for per mime-type formatting policies.

2009-06-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed "Bug
	  510226 - Edit / Folding commands seem to be currently
	  broken".

2009-06-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/AutoSave.cs: Fixed "Bug 504605 -
	  Crash after removing a project".

2009-06-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: When setting
	  the mime type for the file, try to find one for which there
	  is a syntax mode.

2009-05-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/EditActions.cs: Fixed Bug 506245 -
	  Block indent doesn't work.

2009-05-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: fixed
	  'Bug 506246 - Search command doesn't copy the selected
	  string if find widget is visible'.

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor\SourceEditorView.cs: Use FilePath
	  for representing paths.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor\SourceEditorView.cs: Use the new
	  FilePath class for handling file and directory paths.

2009-05-14  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/HighlightPropertiesSemanticRule.cs:
	  Moved highlight properties semantic rule to c# backend.

2009-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed "Bug
	  502586 - Edit / Format / Join Lines does not join blank
	  lines".

2009-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/EditActions.cs: Fixed "Bug 501996 -
	  Tab interpreted as reindent sometimes also inserts tabs".

2009-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Fixed
	  "Bug 501993 - Find and replace: Pressing Tab never gets to
	  Replace field".

2009-05-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs: Save
	  no longer centers the caret.

2009-05-07  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor.addin.xml:
	* MonoDevelop.SourceEditor/SyntaxModeCodon.cs:
	* MonoDevelop.SourceEditor/SyntaxModeService.cs:
	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs:
	* MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs:
	* MonoDevelop.SourceEditor.Extension/TemplateExtensionNodeLoader.cs:
	  Added support for custom syntax highlighting.

2009-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed "Bug
	  499981 - "File Changed" notification panel is unreadable
	  when a dark theme is used".

2009-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Added
	  missing empty region check.

2009-05-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: Changed
	  default for completewithpunctuation

2009-04-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Handle
	  subword commands.

2009-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Fixed 'Bug 499151 - Some text style policies are not
	  respected'.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs: the
	  content may be == null now.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs:
	  Track API changes.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs:
	  Track API changes.

2009-04-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Use
	  UntitledName when view.IsUntitled.

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	  Reimplemented language binding service.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed "Bug
	  497118 - Code folding makes debugging annoying".

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: track api
	  changes.

2009-04-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Implement
	  handlers for ScrollPageDown and ScrollPageUp.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Jumping with search & replace panel to files may no longer
	  fold the jump destination.

2009-04-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Track
	  comment tag API.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Renamed
	  PixbufService to ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed "Bug
	  489963 - Files loose execution bit when saved".

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Track api changes.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.Extension/TemplateCodon.cs: (Revert
	  revision 132136)

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.Extension/TemplateCodon.cs: Fixed
	  possible bug in template codons.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Track API
	  changes.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.SourceEditor.csproj: don't require specific
	gtk-sharp version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.SourceEditor.addin.xml: Bump MD version.

2009-04-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Added patch
	  from Levi Bard
	  <taktaktaktaktaktaktaktaktaktak@gmail.com>:Make sure GUI
	  operations are performed in the GUI thread.


2009-04-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs:
	  fixed error.

2009-04-14  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Fixed compilation error.

2009-04-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: changed
	  default value for 'CompleteWithSpaceOrPunctuation'

2009-04-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs:
	  fixed "Bug 494565 - New auto-complete behavior is improperly
	  labeled.".

2009-04-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Hitting
	  search repeatedly does search next

2009-04-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Made the
	  'undo' of code completion operations more intelligent.

2009-04-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Track api
	  changes.

2009-04-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Added some
	  virtual leading whitespace fixes.

2009-04-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Added some
	  fixes for virtual leading whitespace feature/removed some
	  old code.

2009-04-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/AutoSave.cs:
	* MonoDevelop.SourceEditor/EditActions.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Worked on "Bug
	  492923 - MD hangs while editing text".

2009-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	  Implemented "Bug 492675 - New line & ; at end of line".

2009-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Added
	  ctrl+return/shift+return commands.

2009-04-06  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj: 

	* MonoDevelop.SourceEditor/AutoSave.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Implemented
	  auto save feature ("Bug 409717 - No automatic save").

2009-04-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed "Bug
	  487215 - No type is displayed when hovering over "var"
	  keyword".

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed "Bug
	  487736 - Clipboard ring and code snippets not shown anymore
	  in the toolbox".

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	  Implemented "Bug 487422 - Ctrl+C/V/X should copy/paste/cut
	  the whole line if no selection is made like in VS".

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed auto
	  insert matching bracket bug.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Added
	  support for contextual templates.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DefaultFormatter.cs: Fixed Header.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Added the template
	  commands to the editor context menu.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: removed
	  caching of results for custom expressions.

2009-03-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DebugValueWindow.cs:
	* MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs:
	* MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs:
	* MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs:
	  Fixed compilation error.

2009-03-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	  Implemented template function callbacks.

2009-03-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Implemented
	  ICodeTemplateWidget interface.

2009-03-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Worked on
	  text link edit mode.

2009-03-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fix possible
	  NRE.

2009-03-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Track API
	  changes.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs:
	  Track API changes.

2009-03-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor.csproj: Don't local-copy project
	  refs.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.csproj: Added text editor
	  reference.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: fixed "Bug
	  484574 - Setting SourceEditorView.Text doesn't mark the
	  document as dirty".

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.csproj: Moved text editor to core

2009-03-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.addin.xml:
	* MonoDevelop.SourceEditor/DefaultFormatter.cs: Worked on code
	  formatter.

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DefaultFormatter.cs: Changed
	  interface.

2009-03-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor.Extension/TemplateCodon.cs: Fix
	  resource disposal issues that prevented addins adding syntax
	  modes and colour schemes, and probably caused resource
	  stream leaks.

2009-03-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed "Bug
	  482806 - #region auto folding doesn't work.".

2009-03-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Remove old
	  code that could intefere with previous fix.

2009-03-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Only show
	  the class & method bar when there's a parsed
	  CompilationUnit.

2009-03-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Properly
	  implement IEncodedTextContent.

2009-03-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: fixed "Bug
	  480556 - MonoDevelop can't handle UTF-16 source files".

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs:
	  Translation fixes. Patch from Kriván Bálint.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.csproj: Flush.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: drop down
	  box popup now selects always the current selected item as
	  first item.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Changed the
	  key for small tooltips (without full names) to shift instead
	  of control. This should now work on all window managers.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	* MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs:
	  Changed override Destroy --> override OnDestroyed.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	* MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs:
	  Worked on clean ressource de-allocation.

2009-02-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Assigned ids to tooltip
	  providers.

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Don't use
	  the TextEditor from a non-gui thread since this property
	  needs to query some gtk# properties.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/ClassQuickFinder.cs: Set a minimum
	  icon height and width on the drop down boxes. Fixes size
	  jumping with small UI font (there'll still be an issue with
	  large fonts).

2009-02-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Language
	  tooltips now shrink namespaces when control is pressed.

2009-02-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs:
	* MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs:
	* MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs:
	  Track api changes.

2009-02-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: fixed "Bug
	  477513 - Tooltips should show full namespace when names
	  clash".

2009-02-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Changed
	  message.

2009-02-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed "Bug
	  475990 - Code navigation not working in a ctor call inside a
	  property".

2009-02-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Handle
	  UTF32 code points from IMContext. Don't pass most recent
	  keypress through with IMContext multi-press commits, so that
	  it doesn't append the space/enter that was used to terminate
	  the multi-press input.

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fix nullref.

2009-02-16  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic: 

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed "Bug
	  395576 - If a file changes outside monodevelop environment,
	  notification is hard to see".

2009-02-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs:
	* MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs:
	* MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs:
	  fixed "Bug 364198 - Tooltips should be reduced if there are
	  proper "using statements"".

2009-02-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: error
	  underlining & folding now works on untitled files.

2009-02-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Improved
	  language item tooltip formatting.

2009-02-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Implement F1
	  member help. Looks like it was never implemented for
	  SourceEditor2.

2009-02-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/DefaultFormatter.cs: Fix NRE when
	  there is no policy parent. Fixes creation of files not
	  attached to projects.

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: added
	  tooltip support for aggregated resolve results.

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed "Bug
	  474149 - Context menu shows incorrect overload".

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DefaultFormatter.cs: default
	  formatter now accounts eol policies.

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.csproj:
	* MonoDevelop.SourceEditor.addin.xml:
	* MonoDevelop.SourceEditor/DefaultFormatter.cs: Added default
	  formatter that uses text policy settings.

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed "Bug
	  474055 - no parameters hints on first parameter when "Insert
	  Matching Brace" is enabled".

2009-02-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs: Fix
	  null ref.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor.csproj: Remove more inadvertent
	  local copying of references.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor.csproj: Don't local-copy other
	  addins' dlls.

2009-02-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/HighlightPropertiesSemanticRule.cs:
	  Fixed compiler warnings.

2009-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Remove
	  unnecessary completion context event filtering.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.mdp:
	* MonoDevelop.SourceEditor.csproj: Migrated to MSBuild file
	  format.

2009-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fire
	  CompletionContextChanged when buffer changed by anything
	  other than one character inserted at the cursor position.
	  Fixes "Bug 448911 - Typing '#region<SPC>foo' results in
	  'region<SPC>fooon' and "Bug 435770 - Code completion window
	  should handle document changing under it". Fix typo that
	  caused OnTextReplaced to be subscribed to TextReplacing
	  instead of TextReplaced; this should fix line number
	  updating in error pad. Also combine duplicate event
	  handlers.

2009-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/IdeViMode.cs: Add the tab and
	  AdvancedBackspace actions that the SourceEditor usually adds
	  to the edit mode. Restores deletion of matching brackets and
	  tab-triggering of template insertion.

2009-02-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed 'Bug
	  470859 - GLib-criticals in text editor'.

2009-02-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs:
	  implement missing members.

2009-02-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/EditActions.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed
	  "Bug 472714 - MonoDevelop automatic indentation does not
	  follow "Convert tabs to spaces" option".

2009-02-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed
	  "Bug 469910 - Incorrect type resolution on attributes".

2009-02-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/IdeViMode.cs: Remove unnecessary
	  markup escaping.

2009-02-03  Mike Krüger  <mkrueger@novell.com>

	*
	  MonoDevelop.SourceEditor/HighlightPropertiesSemanticRule.cs:
	  Commented out some non functional code.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.SourceEditor.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs:
	*
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Flush.

	* Makefile.am:
	* MonoDevelop.SourceEditor.mdp: Fixed assembly references.

2009-02-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Set caret
	  position correctly after a completion insertion.

2009-02-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor.OptionPanels/MarkerPanel.cs:
	* MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs:
	* MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs:
	*
	  MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs:
	  Remove proeprties that have been moved to text style
	  policies. Track SourceEditorOptions API changes.

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.MarkerPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs:
	*
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Remove proeprties that have been moved to text style
	  policies.

	* Makefile.am:
	* MonoDevelop.SourceEditor.mdp: Updated.

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Track
	  SourceEditorOptions API changes. Make the split editor use
	  same StyledSourceEditorOptions object as its companion.

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Track
	  SourceEditorOptions API changes. Use
	  StyledSourceEditorOptions options object.

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: Use
	  settings from default TextStylePolicy.

	* MonoDevelop.SourceEditor/EditActions.cs:
	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs:
	  Track SourceEditorOptions API changes.

	* MonoDevelop.SourceEditor/ISourceEditorOptions.cs: Extract
	  ISourceEditorOptions interface from ISourceEditorOptions.

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Track
	  SourceEditorOptions API changes. Propagate project change
	  events to the child editor's StyledSourceEditorOptions.

	* MonoDevelop.SourceEditor/StyledSourceEditorOptions.cs:
	  Implement an ISourceEditorOptions for ExtensibleTextEditor
	  to use, which merges the default SourceEditorOptions and an
	  attached Project's TextStylePolicy.

2009-02-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Track changes in MD's assembly handling.
	  Mono.Cairo is no longer considered to be a "system"
	  assembly.

2009-01-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Implemented
	texteditordataprovider.

2009-01-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: handled possible
	null reference exception.

2009-01-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.mdp: removed treat warnings as errors

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs: (Revert revision 124646)

2009-01-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: Changed the
	behavior of the quick class browser dropdown.

2009-01-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor.mdp:
	* MonoDevelop.SourceEditor/IdeViMode.cs:
	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs:
	* MonoDevelop.SourceEditor.Extension/TemplateCodon.cs:
	* MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	* MonoDevelop.SourceEditor/HighlightPropertiesSemanticRule.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs: Fixed
	compiler warnings.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Use MD's TextFile API
	for loading and saving files, because it handles encodings, and does
	"safer" writes.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs: Use a faster sort - the
	one used in the completion list.

2009-01-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs: Type & member list is
	now sorted.

2009-01-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/ClassQuickFinder.cs: Don't crash when 
	showing the quick finder for files with a parsed document but a 
	no compilation unit. Fixes "Bug 468925 - MD crashes when opening / 
	clicking in web.config file".
	
	In such cases, also hide the quick finder to save space.

2009-01-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/DropDownBox.cs:
	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/DropDownBoxListWindow.cs: Optimized the quick
	class browser, update was too expensive speed wise. The quick class
	browser dropdown is now a custom control.

2009-01-20  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.SourceEditor.GotoLineNumberWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.MarkerPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	Updated.

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Implemented SearchNext
	in the document interator. Fixes a performance issue (the default
	implementations makes multiple calls to MoveAhead, which go through
	all the remoting chaing).

2009-01-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: In DocumentTextIterator,
	the first call to MoveAhead must initialize the offset. Fixes bug
	#460627 - Find In Files doesn't find all matches.

2009-01-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed issue with 0
	length documents.

2009-01-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed possible array
	index out of bound exception.

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: handled unlikly null
	ref.

2009-01-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed "Bug 465222 -
	"Insert matching brace" - no newlines please!".

2009-01-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed possible null
	reference.

2009-01-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Track changes in command names.
	Patch by Vadim Chekan.

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Add/remove breakpoints
	when clicking on the icon bar.

2009-01-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed possible null
	ref. exception.

2009-01-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed 'Bug 463881 -
	Type navigator does not work with attributes'.

2009-01-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Worked on on the fly
	type resolving.

2009-01-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: fixed 'Bug 456429 -
	Search and replace broken again'.

2008-12-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/DebugValueWindow.cs:
	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: TooltipWindow has been
	moved to MD.Components.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.mdp: All projects now require fx 3.5.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-12-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.addin.xml:
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Added command for
	showing the expression evaluator.

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	* MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs: Factorized
	expression finder code.

2008-11-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Refactored
	ambiences/domoutputvisitor.

2008-11-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Moved command handlers
	to witget. Fixing Bug 448915 - Toggle Line Comment(s) not available
	in Alpha 2.

2008-11-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs: Track api
	changes.

2008-11-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs: Removed return type from
	class quick finder.

2008-11-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Track search APIs.

2008-11-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Use more precise error
	underline positioning when available.

2008-11-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Use named colours in
	error/warning markers.

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Escape markup in
	error message tooltips.

2008-11-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Rename Error to
	ErrorMarker to reduce ambiguity. Track Error API. Use different
	colour for warnings. Tidy up API. Remove unnecessary field from
	ErrorMarker class.

2008-11-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Don't add
	TriggerWordLength to the partial_word's length; the latter is all we
	need. Fixes Bug 445388 - Ctrl-space in middle of word sometimes
	overwrites too far.

2008-11-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed 'Bug 444922 -
	Buggy tooltips'.

2008-11-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: fixed code completion
	bug.

2008-11-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs:
	* MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	removed auto templates.

2008-11-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: removed space
	template completion.

2008-11-12  Mike Krüger  <mike@icsharpcode.net>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixed some slight
	issues with templates and code completion insertion.

2008-11-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fix line/col indexing on
	the CodeCompletionContext. It should be one-indexed for compatibility
	with the rest of MD.

2008-11-11  Mike Krüger  <mike@icsharpcode.net>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: made brace auto
	insertion more intelligent (doesn't insert closing brace when it
	exists).

2008-11-11  Mike Krüger  <mike@icsharpcode.net>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: fixed 'Bug 442768 -
	Should show fully qualified name in tooltip when namespaces clash'.

2008-11-10  Mike Krüger  <mike@icsharpcode.net>

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	Added enable auto completion option.

2008-11-07  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.SourceEditor/IdeViMode.cs: Escape status bar text.

2008-11-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Add submenu on
	context menu for selecting input method. Seems be be the standard
	thing to do in GTK.

2008-11-06  Mike Krüger  <mike@icsharpcode.net>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Worked on code
	templates.

2008-11-06  Mike Krüger  <mike@icsharpcode.net>

	* MonoDevelop.SourceEditor/EditActions.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: fixes some bugs with
	code templates and auto insert brackets.

2008-11-06  Mike Krüger  <mike@icsharpcode.net>

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs:
	* MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs:
	* MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs: fixed 'Bug
	442099 - Empty code info tooltips should not be shown'.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Bump MD version.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor.addin.xml: Removed options which are not
	really contextual.

2008-11-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Add border around text
	editor to give it definition when UI and colours schemes are both
	light or dark.

2008-11-05  Mike Krüger  <mike@icsharpcode.net>

	* MonoDevelop.SourceEditor/SourceEditorView.cs:
	* MonoDevelop.SourceEditor/ClassQuickFinder.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Fixed some
	warnings/cosmetic changes.

2008-11-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Implement
	Indent/Unindent/ToggleComment commands directly on the editor instead
	of implementing removed ICodeStyleOperations interface. Rename some
	methods. Disable comment toggling command if language binding has
	null single line comment value, so it no longer breaks on
	XML/HTML/ASP.NET etc. Workaround for enhancement bugs "433644 -
	'toggle line comment(s)' within script tags in aspx file fails" and
	"440592 - 'toggle line comment(s)' in xml file should add comment
	tags ('<!--', '-->')".

2008-10-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: fixed 'Bug 439552
	- Search in document doesn't work properly'.

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Handled the
	resetTimerId differently.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Made the case a.Count ==
	0 a bit more  efficient in the OnTextReplacing event.

2008-10-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Make sure find/replace
	changes to the editor are done in the gui thread. Should fix bug
	#434159.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: added lock for
	possible threading issue.

2008-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Remove unneeded
	field and parameter. Rename SetCurrentMode to UpdateEditMode.

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: Fire an OnChanged
	event when the UseViModes setting changes, so that the setting is
	applied by open editors.

2008-10-15  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.SourceEditor/IdeViMode.cs: Refactor.

2008-10-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/IdeViMode.cs: Add :make command.

2008-10-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/IdeViMode.cs: Track API.

2008-10-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor.mdp: Updated.

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Add an option for
	enabling vi modes.

	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs:
	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs: Add UI
	for enabling vi modes.

2008-10-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Allow enabling the
	vi mode without recompilation.

	* Makefile.am:
	* MonoDevelop.SourceEditor.mdp: Updated.

	* MonoDevelop.SourceEditor/IdeViMode.cs: Add support for simple vi
	commands.

2008-10-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Restore
	functionality to pop up context menu at caret if activated by key
	press.

2008-10-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: fixed 'Bug 434165 - Page
	UP/Down Key on top/bottom of a code folded make the region Unfolded'.

2008-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorView.cs: fixed 'Bug 433271 -
	Problems with code completion while creating #regions'.

2008-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed 'Bug 433401 -
	Static methods don't show in the Methods dropdown'.

2008-10-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.SourceEditor.mdp: Updated.

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs:
	* MonoDevelop.SourceEditor/ExtensibleTextEditor.cs: Change file name to
	match class name.

2008-10-08  Andreia Gaita  <avidigal@novell.com>

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Don't run the
	autocorrect/underline error timer if the UnderlineErrors options is
	false (fixes #433288)

2008-10-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/EditActions.cs: Track API.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: fixed 'Bug 432856 -
	  Creation and editing broken for unsaved files'.

2008-10-06  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor.mdp: Updated.
	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Add a way to enable
	  vi mode.
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Call the text editor
	  widget even if the escape key is pressed.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: Fixed bug with on
	  the fly edit options changing.

2008-09-30  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs: Exposed the
	  control left/right option to the user.

2008-09-30  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: Exposet
	  ControlLeftRightMode option in the options class == made a real
	  monodevelop property (default value taken from platform service).

2008-09-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed 'Bug 430509 -
	  Comment folding is too aggresive'.

2008-09-26  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Track API. Move
	  folding logic out of the editor. Reduce file width to 132 cols,
	  assuming 8-wide tabs.

2008-09-26  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml: Updated.
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fix threading problem
	  in ParseInformationUpdaterWorkerThread. This thread was getting the
	  TextEditor property which runs gtk code, and this is only allowed
	  in the GUI thread.

2008-09-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs: Track API.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: improved comment
	  folding update.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: fixed 'Bug 427511 -
	  Code Completion not working for files not belonging to a project'.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: fixed 'Bug 397930 -
	  Navigation to generic method not working correctly'.

2008-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Flush.

2008-09-16  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed update issue in
	  quick class finder.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed bug in source
	  editor caused by an change in the parser service update behavior.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.MarkerPanel.cs,
	  gtk-gui/MonoDevelop.SourceEditor.GotoLineNumberWidget.cs: Updated
	  generated code.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/EditActions.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/HighlightPropertiesSemanticRule.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Track api changes.

2008-09-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Worked on fold
	  information update.

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed crash with
	  search/replace widgets.

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: recognizing
	  using/namespace import differences

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ClassQuickFinder.cs: Changed compilation
	  unit/document meta information interface.

2008-09-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fix packing on reload
	  bar.

2008-09-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/ClassQuickFinder.cs: Restore region combo
	  functionality.

2008-09-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs,
	  MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/EditActions.cs,
	  MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs: Fix spelling
	  (extendible->extensible) while we can.

2008-09-08  Michael Hutchinson <mhutchinson@novell.com> 

	* gtk-gui/gui.stetic: Updated.
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Tidy up replace
	  mode switching logic. Fixes buglets where shortcuts couldn't be
	  used to switch between modes, and the first click on the
	  search/replace toggle was ignored.

2008-09-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Optimized language
	  item tooltip.

2008-09-05  Michael Hutchinson <mhutchinson@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  gtk-gui/MonoDevelop.SourceEditor.GotoLineNumberWidget.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/ClassQuickFinder.cs,
	  MonoDevelop.SourceEditor/GotoLineNumberWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Make non-reusable
	  widgets internal.
	* gtk-gui/objects.xml, Makefile.am, MonoDevelop.SourceEditor.mdp:
	  Updated.
	* gtk-gui/MonoDevelop.SourceEditor.SourceEditorWidget.cs,
	  gtk-gui/gui.stetic: Replace stetic widget by manual code.
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Slim down unnecessary
	  spacing around the edge of the text editor. Tidy up padding for
	  child widgets.

2008-09-05  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Fix build.
	* gtk-gui/MonoDevelop.SourceEditor.SourceEditorWidget.cs,
	  gtk-gui/gui.stetic, MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	  Reduce wasted screen space.

2008-09-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Some folding location
	  fixes.

2008-09-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed "[Bug 422095]
	  New: NRE in the console when opening file ( seems related to
	  folding regions)".

2008-08-20  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: made some changes
	  caused by text editor changes.

2008-08-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fix some memory
	  leaks.

2008-08-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fix for backward
	  search.

2008-08-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs: Added
	  context menu for the editor margin.

2008-08-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs: fixed
	  bug in general options panel.
	* gtk-gui/objects.xml: Fixed options button.

2008-08-13  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: fixed "Bug 416847
	  - Cannot use Tab Button".

2008-08-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed bug.

2008-08-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor.Extension,
	  MonoDevelop.SourceEditor.Extension/TemplateCodon.cs,
	  MonoDevelop.SourceEditor.Extension/TemplateExtensionNodeLoader.cs,
	  MonoDevelop.SourceEditor.addin.xml,
	  MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs: fixed "Bug
	  405926 - Addins cannot add syntax schemes or colour schemes to the
	  text editor".

2008-08-11  Michael Hutchinson <mhutchinson@novell.com> 

	* gtk-gui/gui.stetic,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.cs,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.MarkerPanel.cs,
	  gtk-gui/objects.xml: Tidy up the text editor options panels.
	* MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs: Removed
	  unnecessary toolbox item attributes.
	* MonoDevelop.SourceEditor.OptionPanels/MarkerPanel.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: Fix spelling,
	  sheme -> scheme.

2008-08-11  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: fixed Bug 416088 -
	  Remove Whitespace From Newlines

2008-08-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed "Bug 415737 -
	  Crash with split window".

2008-08-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Worked on dom.

2008-08-05  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml, gtk-gui/gui.stetic,
	  MonoDevelop.SourceEditor.mdp: Updated.
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Request file edit
	  permission when the user tries to modify the document.
	* MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs: Fix possible
	  index out of range exception.

2008-08-04  Aaron Bockover  <abock@gnome.org>

	This commit refactors the search/replace widget to unify the code into
	a single common widget/class; it additionally adds extensive keybinding
	support for navigating results and improves the GTK UI/layout of the widget

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixes in place to use
	the new merged search/replace widget

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Merged
	Search and Replace functionality into a single widget; implemented 
	extensive and intuitive keybinding support for navigating search results

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs: 
	* gtk-gui/gui.stetic: Redesigned search/replace widget to be easier to
	maintain, use proper GTK layout techniques, and icons instead of arrows
	for better semantic and consistent meaning

	* gtk-gui/MonoDevelop.SourceEditor.SearchWidget.cs:
	* MonoDevelop.SourceEditor/SearchWidget.cs: Removed, merged above

2008-08-04  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs,
	  MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs,
	  MonoDevelop.SourceEditor/LanguageItemWindow.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/EditActions.cs: Worked on language window
	  tooltips

2008-08-01  Michael Hutchinson <mhutchinson@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SourceEditorWidget.cs,
	  gtk-gui/gui.stetic, Makefile.am, MonoDevelop.SourceEditor.mdp,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ClassQuickFinder.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Refactored class
	  browser into a separate widget. Improved efficiency -- it's no
	  longer just hidden, but is now not created unless needed. Also
	  fixed a bug where the class browser would be shown for certain
	  files even when disabled.

2008-07-30  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: changed getparser
	  call.

2008-07-30  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: fixed "Bug 408899 -
	  Code templates expanded in comments".

2008-07-29  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Restore error
	  underlining functionality.

2008-07-29  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Use folding regions
	  from the CompilationUnit. Restores folding for ASP.NET documents

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs,
	  MonoDevelop.SourceEditor/HighlightPropertiesSemanticRule.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs: Translated
	  old code to new dom.

2008-07-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Don't escape file names
	  for VFS here. It is done in the platform service.

2008-07-27  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs,
	  MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs,
	  MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs,
	  MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs,
	  MonoDevelop.SourceEditor/LanguageItemWindow.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Worked on code
	  completion/new dom.

=======
2008-07-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Don't escape file names
	  for VFS here. It is done in the platform service.

>>>>>>> .merge-right.r109767
2008-07-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/DebugValueWindow.cs: Make sure no rows are
	  selected the first time the value tree is shown.
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Track api changes.

2008-07-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/DebugValueWindow.cs,
	  MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs: Track api
	  changes.

2008-07-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/DebugValueWindow.cs: Show and hide
	  scrollbars when needed. Set the window to modal mode when the user
	  starts editing a value. In this way keyboard events will be
	  directed to this popup window instead of the editor.
	* MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs,
	  MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs: Set
	  tooltip alignment.
	* MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs: Implemented
	  basic expression scanner. Use the selection as debug expression if
	  there is something selected.

2008-07-07  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.SourceEditor.addin.xml,
	  MonoDevelop.SourceEditor.mdp,
	  MonoDevelop.SourceEditor/DebugValueWindow.cs,
	  MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs,
	  MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs,
	  MonoDevelop.SourceEditor/DebugValueTooltipProvider.cs: Initial
	  implementation of debug tooltips. It still has some window sizing
	  and editing issues.

2008-07-06  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs,
	  MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs: Added
	  support for custom styles and modes.

2008-07-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed 'Bug 402202 -
	  The line number at the bottom of MD is wrong when code is folded'.

2008-07-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: fixed Bug 405930 -
	  FoldingRegions in compilation units are all folded by default

2008-07-03  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/gui.stetic, Makefile.am, MonoDevelop.SourceEditor.addin.xml,
	  MonoDevelop.SourceEditor.mdp,
	  MonoDevelop.SourceEditor/DebugValueWindow.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/CompileErrorTooltipProvider.cs,
	  MonoDevelop.SourceEditor/LanguageItemTooltipProvider.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Moved tooltip
	  support to Mono.TextEditor. Implemented tooltip providers for
	  language item documentation and compilation errors.

2008-07-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Track api changes.

2008-07-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml: Add add-in dependency.

2008-07-01  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  Makefile.am, MonoDevelop.SourceEditor.mdp,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Use new text markers
	  defined in MD.Debugger. Properly fire LineCountChanged event.

2008-06-26  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Don't add folding
	  regions for one-line classes, properties and methods.

2008-06-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed 'Bug 402368 -
	  SourceEditorWidget+Error.RemoveFromLine throws uncaught exception'

2008-06-23  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: Added tab to
	  reindent option.

2008-06-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: Moved logic for
	  getting the system font from Font to FontName. In this way it is
	  possible to make copies of options objects and get the name copied.

2008-06-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: Track api changes.
	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Moved initial
	  options loading to TextEditor.
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Remove debug code.

2008-06-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: fixed font name
	  resolving.

2008-06-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed 'Bug 393408 -
	  Exception in ParseInformationUpdaterWorkerThread'.

2008-06-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: fixed 'Bug 382403 - Find
	  moves current position in all files'.

2008-06-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Another
	  workaround for gtk# bug #398929.

2008-06-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SearchWidget.cs: Workaround for gtk# bug
	  #398929.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/gui.stetic, MonoDevelop.SourceEditor.addin.xml: Bump MD
	  version.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Use the OnDestroyed event instead of Dispose, since with the latest
	  changes in gtk#, Dispose is not called anymore when a widget is
	  destroyed.

2008-05-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fix search issue with
	  the ITextIterator implementation. The iterator should wrap around
	  the end of the document if the initial position is not 0.

2008-05-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed dispose source
	  editor widget bug.

2008-05-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Added new dom & new
	  class browser.

2008-05-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Dispose() is called
	  after the widget is destroyed. There is no need to explicitely
	  destroy child widgets since destroying the parent widgets destroys
	  all children.
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Don't explicitelly call
	  widget.Dispose, since Destroy already calls it.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.mdp,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/HighlightPropertiesSemanticRule.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: New project model
	  changes.

2008-05-20  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Name the editor's
	  ViewContent.

2008-05-20  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed 'Bug 384665 -
	  Gtk-critical showed in console'.

2008-05-20  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed 'Bug 385457 -
	  Folding in the middle of a method'.

2008-05-16  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Change ITextToolboxNode
	  API so that nodes have more control over when they're shown.

2008-05-15  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Track API.

2008-05-15  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.SourceEditor.mdp,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Show the current
	  execution location when debugging. Show breakpoints.
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Use the new
	  UnderlineMarker.

2008-05-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs: Use platform
	  service to determine whether a mimetype is text.

2008-05-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed 'Bug 387448 -
	  New text editor always show same value for "col" and "ch"'

2008-05-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Enable support for
	  ITextToolboxNodes.

2008-05-06  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Trap and report
	  errors from the text editor extension chain.

2008-05-06  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: implemented Bug 383067 -
	  Find/Replace Bar in managed editor should support regular
	  expression find/replace

2008-05-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: Worked on regex search.

2008-05-02  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/EditActions.cs: fixed Bug 383946 – Text
	  editor deletes "matching" braces

2008-04-30  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Fixed null
	  reference when typing.

2008-04-24  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Wrap info comments
	  if they are wider than the screen, and move them inwards if they 
	  extend offscreen.
	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Use TooltipWindow and
	  FixedWidthWrapLabel.

2008-04-21  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs: Attempt to fix
	  major "Bug 382141 - ALL keypresses are intepreted as newlines" by
	  reworking input method context handling.

2008-04-21  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: fixed keyboard
	  input.

2008-04-16  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Track API change.
	  Remove char code translation hack.
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Break up overly long
	  line.

2008-04-16  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Removed work
	  around.

2008-04-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs: Handle mime
	  types with xml subtype.

2008-04-11  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Track API.

2008-04-11  Michael Hutchinson <mhutchinson@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs:
	  Use a fontbutton instead of a fontselection. Makes UI more compact
	  and gets rid of a failed GTK critical assert.
	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  gtk-gui/MonoDevelop.SourceEditor.SearchWidget.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: Fix the pop up menu
	  position relative to the button rather than the mouse pointer.
	* gtk-gui/gui.stetic, MonoDevelop.SourceEditor.mdp: Updated.

2008-04-10  Michael Hutchinson <mhutchinson@novell.com> 

	* gtk-gui/gui.stetic: Set GTK version to 2.8.3.
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Catch and log errors
	  in worker thread to avoid crashing whole app.
	* MonoDevelop.SourceEditor/LanguageItemWindow.cs: Make tooltips
	  semi-transparent when Ctrl key is held down.

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Added missing null
	  check.
	* MonoDevelop.SourceEditor/SourceEditorView.cs: Track api changes.

2008-04-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs:
	  CanCreateContentForMimeType should return only true for text files.

2008-04-02  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Worked on issue
	  "Bug 376142 - Issue with rightclick menu".

2008-04-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed bug in using
	  folding.

2008-03-31  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Added using folding
	  regions.

2008-03-27  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed resource
	  deallocation (the real source of the ParseInformation update bug).

2008-03-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed Bug 373709 - 2
	  Gtk-Criticals when closing source editor.

2008-03-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed Bug 373056 -
	  Random MD crash.

2008-03-27  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  gtk-gui/gui.stetic, MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	  Fixed Bug 373702 - Null reference errors in source editor.

2008-03-21  Michael Hutchinson <mhutchinson@novell.com> 

	* gtk-gui/gui.stetic: Set target GTK# version to 2.8.
	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Ignore multiple
	  Dispose calls. Don't try to alter focus while widget is being
	  disposed. Fixes two Gtk-Criticals.

2008-03-21  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: Fixed "Bug 372817 - With
	  windows split, search always jumps to match in first window
	  regardless of focus".

2008-03-20  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Don't try to comment
	  line if language binding is null. Fixes NRE.

2008-03-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Fixed 'Bug 372256
	  - Region wrapped when Code Folding is disabled'

2008-03-18  Michael Hutchinson <mhutchinson@novell.com> 

	* gtk-gui/gui.stetic: Spelling fix.

2008-03-18  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/EditActions.cs: Fixed Bug 371703 - Unable to
	  delete {.

2008-03-14  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed Bug 370134 -
	  Replace box: can't navigate through controls using the Tab key.

2008-03-14  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: Search is now more
	  interactive.

2008-03-13  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/GotoLineNumberWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed Bug 370133 -
	  When jumping to a line, caret should be placed in the middle of the
	  window

2008-03-13  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: Fixed Bug 370139 - Search
	  entry shown in red backround even if there is a match.

2008-03-13  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed Bug 363634 -
	  Quick class navigator does not work for abstract methods

2008-03-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed warning.

2008-03-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: added emacs find
	  next/prev

2008-03-07  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml,
	  MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/MarkerPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs,
	  MonoDevelop.SourceEditor.addin.xml: Use new options dialog
	  infrastructure.

2008-03-05  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs: Window split now removes
	  the split that doesn't have the focus. (intelligent split)

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  gtk-gui/MonoDevelop.SourceEditor.SearchWidget.cs: Fixed some dialogs for
	  hig compliance.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  gtk-gui/gui.stetic,
	  MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/MarkerPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/MarkerOperationsHandler.cs: Worked on gnome hig
	  compliant alerts.

2008-03-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Improved threading.

2008-03-03  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs: Added some worker
	  threads.

2008-03-03  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: Added code metrics start.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Refactored content
	  interfaces

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Added command for
	  switching between splits.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Worked on quick finder
	  tooltips.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Added zoom commands to
	  main menu.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/MarkerOperationsHandler.cs: Text editor now
	  reacts on context sensitive menus display (Shift+F10) and  Ctrl+F1 shows
	  the tooltip.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  gtk-gui/MonoDevelop.SourceEditor.SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed "Bug 365840 -
	  Editor should have the focus after switching documents".

2008-02-28  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed "Bug 365453 -
	  Exception when attempting to save newly created file (not as part of a
	  project)".

2008-02-28  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed "Bug 365624 - Widget
	  toolbox are shown unsorted".

2008-02-28  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  gtk-gui/MonoDevelop.SourceEditor.SourceEditorWidget.cs,
	  gtk-gui/gui.stetic, MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs: Worked on
	  search&replace. (Bug 365439 - Replace usability issues)

2008-02-28  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Fixed Bug 365570 - Crash
	  in the editor

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Worked on category support
	  for the toolbox service.

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Automatically unfold
	  regions when you jump to them.

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  gtk-gui/gui.stetic, MonoDevelop.SourceEditor/SourceEditorWidget.cs:
	  Refactored status bar.

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Worked on undo.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: No longer setting caret
	  position on right click on selection.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs: Changed combobox sizing
	  a bit.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Fixed Bug 364192 - Right
	  click should place the caret before showing context menu.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Some changes for slight
	  change in the text editor interface.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Added some safety checks.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed status bar - worked
	  on region combo.

2008-02-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Cosmetic fix.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: Search error removed, when
	  pattern is empty

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: swapped search wrap
	  messages.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/GotoLineNumberWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: Improved search (user
	  recognizes if pattern is not found). Set some status bar messages.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Fixed Bug 363983 -
	  Tooltip does not hide when goto dialog shows.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: toolbox drag from now works.

2008-02-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Properly check if the
	  editor was the last focused widget.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Changed clipboard ring
	  handling of duplicate items.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/objects.xml, gtk-gui/gui.stetic, Makefile.am,
	  MonoDevelop.SourceEditor.mdp,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Worked on clipboard ring
	  and completion window now closes when switching the desktop.

2008-02-21  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Fixed Bug 363327 - Too
	  many undo steps needed to remove a new line.

2008-02-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Enable clipboard and
	  undo commands only when the editor window has the focus.

2008-02-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Add binding for delete
	  command, so the delete action will work even if the the delete command
	  is bound to the delete key.

2008-02-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: fixed little comment issue.

2008-02-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixing file changed bug
	  (with new files).

2008-02-19  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  gtk-gui/MonoDevelop.SourceEditor.SearchWidget.cs,
	  gtk-gui/MonoDevelop.SourceEditor.GotoLineNumberWidget.cs,
	  gtk-gui/gui.stetic: Use buttons without relief for the search/replace
	  widgets.

2008-02-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed toggle code comment
	  bug.

2008-02-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed comment/uncomment
	  code.

2008-02-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed Bug 362889 - Error
	  underlining not properly redrawn.

2008-02-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: fixed some gdk criticals
	  caused by an too early OptionsChanged event.

2008-02-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: Worked on selection.

2008-02-18  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: Small workaround to be able to
	  build in mono 1.2.4 (mono 1.2.4 ignores usings in anon delegates).

2008-02-18  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed Bug 362692 - Undoing
	  all changes should clear the modified flag of the editor.

2008-02-18  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: Implemented mouse wheel
	  zoom.

2008-02-18  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Fixed find next selection
	  update.

2008-02-18  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  gtk-gui/MonoDevelop.SourceEditor.SearchWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: replace/search patterns are
	  now static.

2008-02-18  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed file system watcher.

2008-02-17  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/GotoLineNumberWidget.cs: Fixed goto line number
	  relative jump.

2008-02-17  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: Worked on search options.

2008-02-17  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SearchAndReplaceWidget.cs,
	  gtk-gui/MonoDevelop.SourceEditor.SearchWidget.cs,
	  gtk-gui/MonoDevelop.SourceEditor.GotoLineNumberWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/GotoLineNumberWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/EditActions.cs,
	  MonoDevelop.SourceEditor/SearchAndReplaceWidget.cs,
	  MonoDevelop.SourceEditor/SearchWidget.cs: Worked on search and replace.

2008-02-15  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.MarkerPanel.cs: Ruler can
	  now be set up to column 1024.

2008-02-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/MarkerOperationsHandler.cs: Refactored text
	  editor.

2008-02-15  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.SourceEditor.mdp: Remove the gnome-sharp dependecny.
	* Makefile.am: Remove the gnome-sharp dependecny.

2008-02-15  Geoff Norton  <gnorton@novell.com>:

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Disable GnomePrint so that
	we can work on systems that dont have it.  TODO: Rewrite in GtkPrint.

2008-02-15  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/HighlightPropertiesSemanticRule.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs,
	  MonoDevelop.SourceEditor/MarkerOperationsHandler.cs,
	  MonoDevelop.SourceEditor/EditActions.cs,
	  MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs: Refactored text
	  editor.

2008-02-14  Michael Hutchinson  <mhutchinson@novell.com>

	* SourceEditorWidget.cs: Add workaround for gmcs 1.2.4 bug. 

2008-02-14  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.SourceEditor.mdp: Fix dist.

2008-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Use new RunAction method
	  to execute editor actions. Added missing commands.

2008-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Bind MonoDevelop
	  shortcuts to editor actions.

2008-02-14  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs,
	  MonoDevelop.SourceEditor/MarkerOperationsHandler.cs,
	  MonoDevelop.SourceEditor/SourceEditorCommands.cs: Urls inside the text
	  editor can now be opened using the context menu.

2008-02-14  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Fixed warning.

2008-02-14  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/gui.stetic, MonoDevelop.SourceEditor/SourceEditorView.cs: Changed
	  delete call.

2008-02-13  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Changed delete action.

2008-02-12  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.cs,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  gtk-gui/gui.stetic,
	  MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs, Makefile.am,
	  MonoDevelop.SourceEditor.mdp,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/HighlightPropertiesSemanticRule.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: Worked on semantic
	  highlighting - properties can now be shown as italic. (Enable it in the
	  syntax highlighting panel)

2008-02-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Improved auto insert
	  bracket.

2008-02-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: Some changes for the
	  text editor.

2008-02-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Optimized/Refactored the
	  text editor.

2008-02-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed a bug caused by
	  performance optimization.

2008-02-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed Bug 360411 - Problems
	  in Code Completion.

2008-02-09  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Changes for overwrite
	  mode.

2008-02-08  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.cs:
	  Changed the highlighting panel.

2008-02-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: TextChange is now fired.

2008-02-08  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed highlighting
	  bug/code navigator combos.

2008-02-08  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed sizing bug.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: Color styles are now in
	  options.

2008-02-06  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  Makefile.am, MonoDevelop.SourceEditor.mdp,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Worked on printing

2008-02-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Added some folding
	  commands.

2008-02-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Improved folding behavior.

2008-02-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml: Worked on text editor context menu.

2008-02-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Converted
	  comment/uncomment to the more common toggle comment logic.

2008-02-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: #region ... #endregion is
	  now folded per default.

2008-02-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs: Fixed
	  highlighting panel.

2008-02-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorOptions.cs: Implemented bracket
	  matching.

2008-02-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/EditActions.cs: Bug 354129 - Auto add second
	  brackets, quotation mark

2008-02-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Implemented Bug 323946 -
	  Undo/Redo functionality are not context sensitive.

2008-02-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed reload bug.

2008-02-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Filtered out body less
	  methods in folding (abstract methods,  methods declared in interfaces).

2008-02-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Comment/Uncomment and
	  Indent/Unindent commands should now work as expected.

2008-02-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Implemented ISplittable.

2008-02-02  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed code completion bug.

2008-02-02  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Added some safety checks.

2008-02-02  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs: Added bounds check for
	  error underlining.

2008-02-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorView.cs: Fixed insert/delete text
	  caret offsets.

2008-02-01  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/objects.xml, gtk-gui/gui.stetic, Makefile.am,
	  MonoDevelop.SourceEditor.mdp: Added makefile.

2008-02-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Worked on folding.

2008-01-31  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs: Some changes
	  due to lazy loading.

2008-01-31  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.cs,
	  MonoDevelop.SourceEditor.addin.xml,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs: Worked on
	  context menu.

2008-01-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs: Worked on bookmark
	  commands.

2008-01-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: AutoInsert template
	  option now works.

2008-01-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: AutoInsert template
	  option now works.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.SourceEditor.addin.xml: Update MD version.

2008-01-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: AutoInsert template
	  option now works.

2008-01-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: Added auto insert
	  bracket option.

2008-01-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: Added auto insert
	  bracket option.

2008-01-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: Added property change
	  event.

2008-01-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: Added property change
	  event.

2008-01-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs: Worked on error
	  underlining.

2008-01-23  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  gtk-gui/gui.stetic, MonoDevelop.SourceEditor.mdp,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/EditActions.cs: Worked on code templates.

2008-01-22  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.cs,
	  gtk-gui/gui.stetic, ChangeLog,
	  MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs: Worked on style panel.

2008-01-22  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/MonoDevelop.SourceEditor.OptionPanels.HighlightingPanel.cs,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.GeneralOptionsPanel.cs,
	  gtk-gui/objects.xml,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.cs,
	  gtk-gui/MonoDevelop.SourceEditor.OptionPanels.MarkerPanel.cs,
	  gtk-gui/gui.stetic,
	  MonoDevelop.SourceEditor.OptionPanels/BehaviorPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/MarkerPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/HighlightingPanel.cs,
	  MonoDevelop.SourceEditor.OptionPanels/GeneralOptionsPanel.cs,
	  MonoDevelop.SourceEditor.addin.xml, MonoDevelop.SourceEditor.mdp,
	  MonoDevelop.SourceEditor/SourceEditorWidget.cs,
	  MonoDevelop.SourceEditor/ExtendibleTextEditor.cs,
	  MonoDevelop.SourceEditor/SourceEditorView.cs,
	  MonoDevelop.SourceEditor/SourceEditorOptions.cs,
	  MonoDevelop.SourceEditor/SourceEditorDisplayBinding.cs,
	  MonoDevelop.SourceEditor/LanguageItemWindow.cs: Worked on text editor
	  option panels.

2008-01-21  Mike Krüger <mkrueger@novell.com> 

	* ExtendibleTextEditor.cs, SourceEditorView.cs,
	  MonoDevelop.SourceEditor.addin.xml, MonoDevelop.SourceEditor.mdp: Worked
	  on context menu.

2008-01-21  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.SourceEditor.mdp: Remove hard dependency on Gnome#
	* SourceEditorView.cs: Get the MimeType from the PlatformService rather
	than directly from Gnome.Vfs.

2008-01-21  Mike Krüger <mkrueger@novell.com> 

	* SourceEditorWidget.cs, ExtendibleTextEditor.cs, SourceEditorView.cs:
	  Worked on search commands.

